{
  "name": "my-vue-app",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode development",
    "build": "vite build --mode production",
    "preview": "vite preview",
    "electron:dev": "concurrently \"npm run dev\" \"wait-on tcp:8003 && electron .\"",
    "electron:build": "cross-env NODE_ENV=production npm run build && electron-builder"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@vue-office/docx": "^1.6.3",
    "@vue-office/excel": "^1.7.14",
    "@vue-office/pdf": "^2.0.10",
    "ant-design-vue": "^4.0.0-rc.6",
    "axios": "^1.7.9",
    "dayjs": "^1.11.13",
    "docx": "^9.1.0",
    "file-saver": "^2.0.5",
    "html2pdf.js": "^0.10.2",
    "less": "^4.2.1",
    "less-loader": "^12.2.0",
    "mammoth": "^1.9.1",
    "markdown-it": "^14.1.0",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0",
    "vuex": "^4.0.2",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^5.2.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "babel-plugin-import": "^1.13.8",
    "concurrently": "^9.1.2",
    "cross-env": "^7.0.3",
    "electron": "^33.3.1",
    "electron-builder": "^25.1.8",
    "style-resources-loader": "^1.5.0",
    "vite": "^6.0.5",
    "vue-cli-plugin-style-resources-loader": "^0.1.5",
    "wait-on": "^8.0.2"
  },
  "main": "electron/main.js",
  "build": {
    "appId": "com.your.app",
    "productName": "raycos-chat",
    "directories": {
      "output": "release"
    },
    "win": {
      "target": [
        "nsis"
      ],
      "icon": "build/icons/icon.ico"
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true
    },
    "files": [
      "dist/**/*",
      "electron/**/*"
    ]
  },
  "description": "This is a desktop application for chat search with AI",
  "author": {
    "name": "Raycos Tech. Co., Ltd.",
    "email": "hongrui@raycos.com.cn"
  }
}
